Archives: April 2014

Default
  • 11
    Apr

MaxxCloud Safe from OpenSSL Heartbleed Vulnerability

The so-called "Heartbleed bug" is caused by a flaw in OpenSSL software, which is commonly used on the Internet to provide security and privacy. The bug is affecting many global IT systems in both private and public sector organizations and has the potential to expose private data. Alex Johnson, VP of Development at MaxxVault assures MaxxCloud customers: "We...

Read More